/* Контейнер для центрирования */
.private-ask-container {
    display: flex;
    justify-content: center;
    margin: 350px 0;
}

/* Розовое окошко в стиле StrawPage */
.straw-box {
    background-color: #ff8da1;
    border: 4px solid #000;
    width: 100%;
    max-width: 450px;
    box-shadow: 10px 10px 0px #4a0000; /* Темная тень */
}

/* Черная шапка окошка */
.straw-header {
    background: #000;
    color: #ff8da1;
    padding: 5px 12px;
    display: flex;
    justify-content: space-between;
    font-family: 'Courier New', monospace;
    font-weight: bold;
    font-size: 0.9rem;
}

/* Поле ввода */
.straw-form textarea {
    width: 100%;
    height: 120px;
    background: #fff;
    border: none;
    border-top: 4px solid #000;
    padding: 15px;
    box-sizing: border-box;
    font-family: 'Courier New', monospace;
    font-size: 1rem;
    resize: none;
    outline: none;
}

/* Кнопка */
.straw-form button {
    width: 100%;
    background: #000;
    color: #fff;
    border: none;
    border-top: 4px solid #000;
    padding: 12px;
    font-family: 'Times New Roman', serif;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.straw-form button:hover {
    background: #ff0000; /* Краснеет при наведении */
    color: #000;
}

.back-link {
    display: block;
    text-align: center;
    color: #555; /* Изначально серый цвет */
    text-decoration: none;
    margin-top: 50px;
    margin-bottom: 50px;
    font-size: 1rem;
    font-family: 'Times New Roman', serif;
    letter-spacing: 2px;
    text-transform: uppercase;
    transition: all 0.4s ease; /* Плавный переход */
}

.back-link:hover {
    color: #ff0000; /* При наведении становится красной */
    text-shadow: 0 0 10px #ff0000; /* Добавляем кровавое свечение */
    letter-spacing: 5px; /* Буквы немного разъезжаются */
    transform: scale(1.1); /* Ссылка чуть увеличивается */
}

body {
    background-color: black;
    color: white;
    font-family: 'Times New Roman', serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden; /* ВОТ ЭТА СТРОКА УБЕРЕТ СКРОЛЛ */
}
.straw-input {
    width: 100%;
    background: #fff;
    border: none;
    border-top: 4px solid #000;
    padding: 10px 15px;
    box-sizing: border-box;
    font-family: 'Courier New', monospace;
    font-weight: bold;
    outline: none;
    font-size: 1rem;
}
